﻿<?xml version="1.0" encoding="utf-8"?>
<html xmlns:MadCap="http://www.madcapsoftware.com/Schemas/MadCap.xsd" class="task">
    <head><title>Configuring User Creation and Updation Forms</title>
        <link href="../Resources/Stylesheets/Styles.css" rel="stylesheet" type="text/css" />
    </head>
    <body>
        <h1>Configuring User Creation and Updation Forms</h1>
        <p>With the growth of organizations, more non-employees are hired and the need to provide ease of onboarding them and subsequently providing them the required accesses increases. Saviynt provides an ability to onboard third-party/contract users and manage their lifecycle, including access to roles, resources, endpoints using the Access Request System. Each such organization has permanent employees with various authorities and contractual employees from multiple vendors. A sponsor of the organizationdefines who can perform what operations in the organization, change the organization level policies, add or remove the owners of the company, and create delegated administrators for each vendor, in what cases the delegated administrators can invite contractors or vendors to work by onboarding the users, manage user lifecycle, offboard the users, and view basic information about the organization. In some cases, the delegated administrator might need the sponsor’s approval for some advanced operations or the sponsor needs to perform certain organization-level changes.</p>
        <p>This document describes various use cases to use the User Registration form for onboarding or updating third-party/contract user information. It also provides details of the current limitations associated with the form.</p>
        <h2 id="ConfiguringUserCreationandUpdationForms-UseCases">Use Cases</h2>
        <h3 id="ConfiguringUserCreationandUpdationForms-UserCreation">User Creation </h3>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot>How to onboard guest users through email-based invitation?</MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p><strong>Use Case: </strong>A sponsor wants to invite guest users by sending a link to them. The guest users follow the provided link to add their details in IGA.</p>
                <p><strong>Solution: </strong>To set up the invitation-based user onboarding, see <MadCap:xref href="Invitation-Based-User-Onboarding.htm">Invitation-Based User Onboarding</MadCap:xref></p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot>How do I generate the Username of a user on the <span class="inline-comment-marker">User Registration form</span> based on the User Name Generation Rule?</MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p><strong>Solution: </strong>By default, the username is generated based on the rule configured in the Add Register User Rule parameter. If no rule is specified, the username is generated as configured by the Saviynt Support Team.</p>
                <p>To add <strong>Add Register User Rule</strong>, perform the following:</p>
                <ol>
                    <li>
                        <p>Click <strong>Admin &gt; Global Configurations &gt; Identity Lifecycle.</strong></p>
                    </li>
                    <li>
                        <p>Go to the <strong>Add Register User Rule </strong>configuration parameter and click <strong>Add Rule</strong>.</p>
                    </li>
                    <li>
                        <p>Add the rule and click <strong>Save</strong>. For more details, see<MadCap:xref href="../Chapter06-Configuring-EIC/Identity-Lifecycle-Configuration.htm#top">Identity Lifecycle Configuration</MadCap:xref>.</p>
                    </li>
                </ol>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>How do I generate the System User Name as the Username of a user on the User Registration form?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p><strong>Solution:</strong> To generate System User Name as Username on the User Registration forms, contact the Saviynt Support Team. </p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>How do I generate the User Key as the Username of a user on the User Registration form?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p><strong>Solution:</strong> To generate the User Key as the Username of a user on the User Registration form, contact the Saviynt Support Team. </p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>How do I automatically populate the logged-in user's Display Name on the Create User Registration form?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p><strong>Use Case: </strong>An administrator wants to populate an attribute with the logged-in user’s (requestor) Display Name on the User Registration form.</p>
                <p><strong>Solution: </strong>Perform the following actions:</p>
                <ol>
                    <li>
                        <p>Click <strong>Admin &gt; Global Configurations &gt; Identity Lifecycle&gt; Register User Form.</strong></p>
                    </li>
                    <li>
                        <p>Click <strong>Action &gt; Add Attributes</strong>.</p>
                    </li>
                    <li>
                        <p>Specify the following details:</p>
                        <ul>
                            <li>
                                <p><strong>Attribute Type:</strong> Single Select SQL Query.</p>
                            </li>
                            <li>
                                <p><strong>Values:</strong> </p>
                                <MadCap:codeSnippet>
                                    <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
                                    <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
                                    <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select DISPLAYNAME as ID from Users u where u.userkey=${requestor}</MadCap:codeSnippetBody>
                                </MadCap:codeSnippet>
                                <p>
                                    <br />
                                </p>
                            </li>
                            <li>
                                <p><strong>Default Values: </strong>
                                </p>
                                <MadCap:codeSnippet>
                                    <MadCap:codeSnippetCopyButton aria-label="Copy" title="Copy to clipboard" />
                                    <MadCap:codeSnippetCaption>SQL</MadCap:codeSnippetCaption>
                                    <MadCap:codeSnippetBody MadCap:useLineNumbers="False" MadCap:lineNumberStart="1" MadCap:continue="False" xml:space="preserve" style="padding-left: 12px;padding-right: 16px;padding-top: 12px;padding-bottom: 12px;mc-code-lang: SQL;">select DISPLAYNAME as ID from Users u where u.userkey=${requestor}  </MadCap:codeSnippetBody>
                                </MadCap:codeSnippet>
                                <p>
                                    <br />
                                </p>
                            </li>
                        </ul>
                    </li>
                    <li>
                        <p>Click <strong>Save</strong>.</p>
                    </li>
                </ol>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>How do I validate the values of attributes on the User Registration form?</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p><strong>Use Case: </strong>An administrator wants to add validation criteria for the End Date attribute of a request to ensure that the value specified for it by the requester is greater than the Start Date (current date) and lesser than 122 days from the current date.</p>
                <p><strong>Solution: </strong>Perform the following actions to add validation condition for a date type attribute:</p>
                <ol>
                    <li>
                        <p>Click <strong>Admin &gt; Global Configurations &gt; Identity Lifecycle&gt; Register User Form</strong>.</p>
                    </li>
                    <li>
                        <p>Click <strong>Action &gt; Add Attributes</strong>.</p>
                    </li>
                    <li>
                        <p>Specify the following details:</p>
                        <ul>
                            <li>
                                <p><strong>Attribute Type: </strong>Date</p>
                            </li>
                            <li>
                                <p><strong>Validation Condition:</strong><code>${((EndDate &gt; currentdate) &amp;&amp; (EndDate &lt; currentdate.plus(122)))}</code>
                                    <br />In this condition, EndDate refers to the name of the attribute.</p>
                            </li>
                            <li>
                                <p><strong>Failure Message: </strong>Specify the message that you want to prompt if the validation condition is not met.</p>
                            </li>
                        </ul>
                    </li>
                    <li>
                        <p>Click <strong>Save</strong>.</p>
                    </li>
                </ol>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <h2 id="ConfiguringUserCreationandUpdationForms-Limitations">Limitations</h2>
        <MadCap:dropDown MadCap:conditions="Default.v55X">
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Case-sensitivity in Single Select Query</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p><strong>Problem: </strong>Using the capital case in the SQL queries In Release v5.x reports an error.</p>
                <p><strong>Workaround:</strong> Use the lower case alphabets while defining the SQL queries.</p>
                <div class="confluence-information-macro confluence-information-macro-information conf-macro output-block">
                    <div class="confluence-information-macro-body">
                        <p><strong>Info:</strong> Using lower and capital case alphabets in the SQL queries is supported from Release v5.5SP3.x onwards.</p>
                    </div>
                </div>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
        <MadCap:dropDown>
            <MadCap:dropDownHead>
                <MadCap:dropDownHotspot><strong>Unable to select the Date on the User Registration forms.</strong>
                </MadCap:dropDownHotspot>
            </MadCap:dropDownHead>
            <MadCap:dropDownBody>
                <p><strong>Problem:</strong> Using brackets in the Attribute Group name restricts you to select the date values on the user registration forms.</p>
                <p><strong>Workaround:</strong> Do not use brackets while defining the Attribute Group name. </p>
            </MadCap:dropDownBody>
        </MadCap:dropDown>
    </body>
</html>